# How to hide specific options within the general section on settings

If you'd prefer to keep the Settings panel available but hide certain options (e.g., autocorrect), you can use the `generalOptions` parameter to control which items are displayed:

`generalOptions: ['spellingSuggestions', 'grammarSuggestions', 'styleGuideSuggestions', 'autocorrect', 'autocomplete']`\
\
For example, to hide the autocomplete option while keeping everything else visible:

`generalOptions: ['spellingSuggestions', 'grammarSuggestions', 'styleGuideSuggestions', 'autocorrect'`~~`, 'autocomplete'`~~`]`\
\
![](/files/vxN17l7R78Gej7geR8zq)

Simply omit any item you want to hide from the list.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wproofreader.com/v6.12.0/integrations/how-tos/how-to-hide-specific-options-within-the-general-section-on-settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
